FAQ
Dear all,

Has anyone successfully applied the enable/disable repo patch from Matthew
Byng-Maddick yet?

http://projects.puppetlabs.com/issues/2247
>

I tried and end up with:

File to patch: yum.rb
patching file yum.rb
Hunk #1 FAILED at 28.
Hunk #2 FAILED at 65.
2 out of 2 hunks FAILED -- saving rejects to file yum.rb.rej
can't find file to patch at input line 105
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
--- lib/puppet/type/package.rb.orig 2011-03-14 22:38:22.000000000 +0000
+++ lib/puppet/type/package.rb 2011-03-14 22:38:28.000000000 +0000
--------------------------

I'm using Puppet v2.7.14-1.el6. Cheers!!


--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To view this discussion on the web visit https://groups.google.com/d/msg/puppet-users/-/fFaT3qq16kUJ.
To post to this group, send email to puppet-users@googlegroups.com.
To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Search Discussions

  • Sans at May 16, 2012 at 9:49 am
    So, does it mean *enable/disable repo on the fly* still pretty much not
    possible?

    Cheers,
    Santanu



    On Tuesday, May 15, 2012 7:21:25 AM UTC+1, Sans wrote:

    Dear all,

    Has anyone successfully applied the enable/disable repo patch from Matthew
    Byng-Maddick yet?

    http://projects.puppetlabs.com/issues/2247
    I tried and end up with:

    File to patch: yum.rb
    patching file yum.rb
    Hunk #1 FAILED at 28.
    Hunk #2 FAILED at 65.
    2 out of 2 hunks FAILED -- saving rejects to file yum.rb.rej
    can't find file to patch at input line 105
    Perhaps you used the wrong -p or --strip option?
    The text leading up to this was:
    --------------------------
    --- lib/puppet/type/package.rb.orig 2011-03-14 22:38:22.000000000 +0000
    +++ lib/puppet/type/package.rb 2011-03-14 22:38:28.000000000 +0000
    --------------------------

    I'm using Puppet v2.7.14-1.el6. Cheers!!
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/puppet-users/-/XxbFMxQwjwMJ.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedMay 15, '12 at 6:21a
activeMay 16, '12 at 9:49a
posts2
users1
websitepuppetlabs.com

1 user in discussion

Sans: 2 posts

People

Translate

site design / logo © 2022 Grokbase